﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Device
{
    [SugarTable("bpa_devicevesion")]
    public class BPA_DeviceVesion : IBaseEntity, IGroupId
    {
        public string Vesion { get; set; }
        public string DeviceTypeKey { get; set; }
        /// <summary>
        /// 模版路径
        /// </summary>
        public string TemplatePath { get; set; }
        /// <summary>
        /// 状态 0启用 1禁用
        /// </summary>
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
        public string GroupId { get ; set ; }
    }
}
