﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Device
{
    [SugarTable("bpa_devicetechnology")]
    public class BPA_DeviceTechnology : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 工艺名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 状态 0启用 1禁用
        /// </summary>
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
        public string GroupId { get; set; }
        [SugarColumn(ColumnDataType = "Nvarchar(255)", IsNullable = true)]
        public string ForeignKeyRe { get; set; }
        /// <summary>
        /// 设备版本
        /// </summary>
        public string DeviceVersionKey { get; set; }
    }
}
